Bug 1117140 - Handle .phar files with php
Handle .phar files with php
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-08 02:54 EDT by Christian Weiske
Modified: 2017-05-10 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-06 02:51:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 639268 None None None Never

  None (edit)
Description Christian Weiske 2014-07-08 02:54:06 EDT
Description of problem:
.phar (PHP Archive files, similar to .jar) allows one to pack up whole PHP applications in a single file.

When dropping a .phar file into apache's document root, the .phar file does not get handled by php but treated as plain text.

The apache configuration should be changed to let mod_php handle .phar files in addition to .php files.

Steps to Reproduce:
1. Install apache with mod_php
2. Create a .phar file e.g. http://p.cweiske.de/120
3. Open the .phar in your browser

Actual results:
Phar file contents are displayed

Expected results:
phpinfo() output should be shown.
Comment 1 Fedora Admin XMLRPC Client 2014-07-16 08:03:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jaroslav Reznik 2015-03-03 11:06:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 07:54:37 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Remi Collet 2017-05-05 09:05:50 EDT
Having to think more about this
Comment 6 Remi Collet 2017-05-10 11:37:07 EDT
Notice: this fix is only planed for F27 with PHP 7.2 as probably other packages need to be fixed (to protect unwanted .phar execution)

Ex (wordpress)
http://pkgs.fedoraproject.org/cgit/rpms/wordpress.git/commit/?h=master&id=cb4d926f8c23df855f2b9307719c4d67942ed6fc

Note You need to log in before you can comment on or make changes to this bug.